import request from '@/utils/request'

// 查询手环设备列表
export function listFacility(query) {
  return request({
    url: '/system/facility/list',
    method: 'get',
    params: query
  })
}

// 查询手环设备详细
export function getFacility(id) {
  return request({
    url: '/system/facility/' + id,
    method: 'get'
  })
}

// 新增手环设备
export function addFacility(data) {
  return request({
    url: '/system/facility',
    method: 'post',
    data: data
  })
}

// 修改手环设备
export function updateFacility(data) {
  return request({
    url: '/system/facility',
    method: 'put',
    data: data
  })
}

// 删除手环设备
export function delFacility(id) {
  return request({
    url: '/system/facility/' + id,
    method: 'delete'
  })
}
